summaryrefslogtreecommitdiffstats
path: root/source/ap/cups/cups.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/cups/cups.SlackBuild')
-rwxr-xr-xsource/ap/cups/cups.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/ap/cups/cups.SlackBuild b/source/ap/cups/cups.SlackBuild
index fe8fd16c3..44cd7c674 100755
--- a/source/ap/cups/cups.SlackBuild
+++ b/source/ap/cups/cups.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=cups
VERSION=${VERSION:-$(echo $PKGNAM-*-source.tar.?z | cut -f 2 -d -)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -81,6 +81,9 @@ cd cups-$VERSION || exit 1
sed -i.orig -e 's#$exec_prefix/lib/cups#$libdir/cups#g' configure
+# Upstream patch to fix high CPU usage:
+zcat $CWD/455c52a027ab3548953372a0b7bdb0008420e9ba.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \